drekka drekka - 3 months ago 104
iOS Question

Xcode 9 beta4/5: This app was unable to be installed

I've been trying to get Firebase working with Auth, Google Sign In and Facebook login, and I'm getting this error every time I try to run it in the simulator:

enter image description here

Nothing is logged in the console or the simulator log, but when I look in the system console, I find what appears to be the problem:

0x70000b260000 -[MIBundle _validateWithError:]: 38: Failed to load Info.plist from bundle at path /Users/derekclarkson/Library/Developer/CoreSimulator/Devices/FF1AC158-D8C6-411E-8912-146C355DC97B/data/Library/Caches/com.apple.mobile.installd.staging/temp.SFHCp0/extracted/Crux.app/Frameworks/GTMSessionFetcher.framework

How do I fix it?

Answer Source

Problem turned out to be some frameworks I was using. The frameworks (Firebase) looked like normal frameworks so I added a copy file phase to the project to copy them to the Frameworks directory of the app. However they are actually static libraries which look like frameworks so I didn't need to copy them. Because they are static libraries, they don't have a Info.plist file in them and that was causing the failure.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download